import Http, {getResData} from './index';
export interface IAddRuleParams{
    ty:number,
    addr:string
}
export interface IWithdrawListParams{
    ty:number,
    page:string|number,
    pageSize:string|number
}
export interface IDeleteRuleParams{
    id:string
}
export function addWithdraw(params:IAddRuleParams){
    return Http.post('/api/admin/add-withdraw',params).then(getResData)
}
export function delWithdraw(params:IDeleteRuleParams){
    return Http.post('/api/admin/del-withdraw',params).then(getResData)
}
export function getWithdrawList(params:IWithdrawListParams){
    return Http.get('/api/admin/withdraw-list',{params}).then(getResData)
}