import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueJsx from '@vitejs/plugin-vue-jsx'
import AutoImport from 'unplugin-auto-import/vite'
import Components from 'unplugin-vue-components/vite'
import { ElementPlusResolver } from 'unplugin-vue-components/resolvers'
// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue(),vueJsx()],
  server:{
    port:8092,
    proxy:{
      '/api': {
        target: 'http://172.16.100.59:8091/',
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/api/, '')
      },
      '/download':{
        target:'http://172.16.100.59:8091',
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/download/, '')
      }
    }
  }
})
