import dayjs from "dayjs";
import type {Dayjs} from "dayjs";
// import type {DayjsType} from "dayjs";

export function getDateTime(time:string):string{
    return dayjs(time).format('YYYY/MM/DD HH:mm:ss')
}
export function getDateTimeByUnix(time:string|number):string{
    return dayjs.unix(+time).format('YYYY/MM/DD HH:mm:ss')
}
export function getDate(time:string):string{
    return dayjs(time).format('YYYY-MM-DD')
}
export function getNowUnix():number{
    return dayjs().unix();
}